filestore-0.6.0.1: Interface for versioning file stores.

Portability | GHC 6.10 required
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>
Safe Haskell | None

Data.FileStore.Darcs

Description

A versioned filestore implemented using darcs. Normally this module should not be imported: import Data.FileStore instead.

Synopsis

- darcsFileStore :: FilePath -> FileStore

# Documentation

darcsFileStore :: FilePath -> FileStore Source

Return a filestore implemented using the Darcs distributed revision control system (http://darcs.net/).